LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
SQLState.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::SQLState
| determines SQL State values.

## Variables
const long | sqlStateXOpen = 1
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an X/Open (now know as Open Group) SQL CLI SQLSTATE value. More...
const long | sqlStateSQL = 2
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQLSTATE value. More...
const long | sqlStateSQL99 = sqlStateSQL
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQL99 SQLSTATE value. More...